InertiaSDK

Loading...
Searching...
No Matches
Public Attributes | Protected Member Functions | Static Protected Member Functions | List of all members
inertia::IOConfigCommonCommand Struct Reference
Inheritance diagram for inertia::IOConfigCommonCommand:
[legend]
Collaboration diagram for inertia::IOConfigCommonCommand:
[legend]

## Public Attributes
IOCommonModeID | commonID
IOCommonMessageID | messageID

## Protected Member Functions
| IOConfigCommonCommand (IOCommonModeID const &_commonID, IOCommonMessageID const &_messageID)
| IOConfigCommonCommand (const uint8_t *packet, const unsigned max_size)
| IOConfigCommonCommand (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
uint8_t | GetType () const override
Protected Member Functions inherited from inertia::IOConfigCommand
| IOConfigCommand (const uint8_t *packet, const unsigned max_size)
| IOConfigCommand (std::wstring const &argString)
Protected Member Functions inherited from inertia::InertiaCommand
| InertiaCommand (const uint8_t *packet, const unsigned max_size)
| InertiaCommand (std::wstring const &argString)
| InertiaCommand (InertiaCommand const &)=default
InertiaCommand & | operator= (InertiaCommand const &)=default

## Static Protected Member Functions
static const po::options_description | GetOptionDescription ()

## Additional Inherited Members
Public Member Functions inherited from inertia::IOConfigCommand
InertiaCommandGroups | GetGroup () const override
Public Member Functions inherited from inertia::InertiaCommand
virtual bool | IsResponse () const =0
Static Public Member Functions inherited from inertia::IOConfigCommand
static InertiaCommandPtr | Parse (const uint8_t *in, unsigned const packetSize)
static InertiaCommandPtr | Parse (std::wstring const &argString)
static const po::options_description | GetOptionDescription ()

## Member Function Documentation

## ◆ GetBytes()

void inertia::IOConfigCommonCommand::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override protected virtual

Implements inertia::InertiaCommand.

## ◆ GetType()

uint8_t inertia::IOConfigCommonCommand::GetType | ( |  | ) | const
| override protected virtual

Implements inertia::InertiaCommand.

## ◆ ToString()

const std::wstring inertia::IOConfigCommonCommand::ToString | ( |  | ) | const
| override protected virtual

Implements inertia::InertiaCommand.

The documentation for this struct was generated from the following file:

- IOConfigCommands.h